Get a grant
import requests
url = "https://app.langwatch.ai/api/v1/grants/{grantId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.langwatch.ai/api/v1/grants/{grantId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.langwatch.ai/api/v1/grants/{grantId} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"principal": {
"type": "user",
"id": "<string>",
"name": "<string>"
},
"role": {
"id": "<string>",
"name": "<string>",
"builtIn": true
},
"scope": {
"type": "organization",
"id": "<string>",
"name": "<string>"
},
"status": "active",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}Grants
Get a grant
Read one grant. An id outside the caller’s organization answers 404 grant_not_found.
GET
/
api
/
v1
/
grants
/
{grantId}
Get a grant
import requests
url = "https://app.langwatch.ai/api/v1/grants/{grantId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.langwatch.ai/api/v1/grants/{grantId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.langwatch.ai/api/v1/grants/{grantId} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"principal": {
"type": "user",
"id": "<string>",
"name": "<string>"
},
"role": {
"id": "<string>",
"name": "<string>",
"builtIn": true
},
"scope": {
"type": "organization",
"id": "<string>",
"name": "<string>"
},
"status": "active",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}Authorizations
Admin API key for organization-level operations (managing projects, API keys). Create one in Settings > API Keys or via POST /api/api-keys. Format: sk-lw-{id}_{secret}.
Path Parameters
Required string length:
1 - 128Response
200 - application/json
Success
Last modified on October 12, 2026
Was this page helpful?